Package xg

# Interface Validator.OneofValidatorOptionsOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Validator.OneofValidatorOptions`, `Validator.OneofValidatorOptions.Builder`

Enclosing class:
  Validator

public static interface Validator.OneofValidatorOptionsOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getRequired()`
`optional string required = 1;`
`ByteString`
`getRequiredBytes()`
`optional string required = 1;`
`boolean`
`hasRequired()`
`optional string required = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasRequired

boolean hasRequired()
`optional string required = 1;`

Returns:
  Whether the required field is set.

### getRequired

String getRequired()
`optional string required = 1;`

Returns:
  The required.

### getRequiredBytes

ByteString getRequiredBytes()
`optional string required = 1;`

Returns:
  The bytes for required.